Skip to main content

Activity History - List

Purpose​

Retrieve a list of Activity History for Activity which your API Credentials has access to.

Request​

Endpoint

GET /activity/history

Authentication

Include your API Key within the x-api-key header as described here.

Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

info

When calling this endpoint, you must specify either internal_activity_ids or internal_project_ids, but not both. These are comma seperated lists of your internal ids. Either you're interested in getting the History for 1 or more Activities by way of your internal ID(s), or getting the History for all activities across 1 or more projects by way of your internal ID.

ParameterTypeDefinition
pageintThe page number of the results you want (set to 1, if not provided)
internal_activity_idsstringcomma separated list of your internal string activity ids (optional)
internal_project_idsstringcomma separated list of your internal string project ids (optional)

Request Body

Do not provide a request body when calling this method.

Response​

If successful, this method returns a response body with the following structure:

Response Body

{
"code":200,
"success":true,
"data": [
Activity History Resources listed here... (See "Activity Overview" page)
],
"errors": [],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "[path_to_endpoint]",
"per_page": 50,
"to": 10,
"total": 10
},
"links": {
"first": "[path_to_endpoint]?page=1",
"last": "[path_to_endpoint]?page=1",
"prev": null,
"next": null
}
}

Properties

The following table defines the properties that appear in this resource:

KeyTypeDefinition
codeintegerHTTP Status Code (ie; 200, 403, etc).
successbooleanEither true (success) or false (fail).
datalistList of Activity History returned. The data structure of each Activity History is a Activity History Resource.
errorsobjectIf the request fails, this will contain information about the error.
metaobjectContains information about pagination and total record count.
linksobjectContains pre-built links for forward/backward pagination.